package extraction

import (
	"fmt"
	"strings"
)

var GoPrompt = "The code should be in the Go programming language. There should also be 3 robust test cases within the same code. There should also be a main function inside of which all the execution takes place. Please only provide the source code and no further explanation, The format should be ```go <yourcode + testcases> ```"

var RustPrompt = "The code should be in the Rust programming language. There should also be 3 robust test cases within the same code. There should also be a main function inside of which all the execution takes place. Please only provide the source code and no further explanation, The format should be ```rust <yourcode + testcases> ```"

// func Extract(output string) string {
// 	parts := strings.Split(output, "```")
// 	var extracted = ""
// 	if strings.Contains(parts[1], "rust") {
// 		extracted = strings.TrimLeft(parts[1], "rust")
// 	} else {
// 		extracted = strings.TrimLeft(parts[1], "go")
// 	}
// 	return extracted
// }

// Extract extracts the code snippet between ``` and removes the language identifier.
func Extract(output string) (string, error) {
	parts := strings.Split(output, "```")
	if len(parts) < 2 {
		return "", fmt.Errorf("the string wasn't in a proper format") // Handle the case if format is incorrect: Return empty string
	}

	// Trim the language identifier like `go` or `rust` from the code
	code := parts[1]
	lines := strings.SplitN(code, "\n", 2)
	if len(lines) > 1 {
		return "\n" + lines[1], nil // Return the code without the first line (language identifier)
	}
	return "", fmt.Errorf("the string doesn't contain any lines")
}
